Bug 141623 - Qt5 refresh problem when starting LO start center and cairo (text) rendering ennabled
Summary: Qt5 refresh problem when starting LO start center and cairo (text) rendering ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
7.0.3.1 release
Hardware: All Linux (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: target:7.2.0 target:7.1.3 target:7.0.6
Keywords:
Depends on:
Blocks: Qt5
  Show dependency treegraph
 
Reported: 2021-04-11 15:19 UTC by Jan-Marek Glogowski
Modified: 2022-04-22 02:41 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Refresh bug of the start center with the default 640x480 cairo surface (103.64 KB, image/png)
2021-04-11 15:42 UTC, Jan-Marek Glogowski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan-Marek Glogowski 2021-04-11 15:19:41 UTC
Description:
While getting rid of the duplicate KF5SalFrame::AcquireGraphics code, I noticed that starting LO via start center / desktop now seemed to have a refresh problem. 

Took me a bit to realize, that these actually also must happen with Qt5 and Cairo. This doesn't happen when a LO module is directly started, which is probably one reason, it wasn't yet reported. I just have a 7.1 and 7.2 bibisect repo around. At least 7.0.3 in the releases bibisect shows the same problem.

Manually resizing the window, fixes the problem. Or just starting any other LO module directly.

Steps to Reproduce:
1. SAL_VCL_QT5_USE_CAIRO=1 SAL_USE_VCLPLUGIN=qt5 soffice

Actual Results:
Just a part of the start center is drawn.

Expected Results:
The whole start center is drawn.


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Version: 7.0.3.1
Build ID: d7547858d014d4cf69878db179d326fc3483e082
CPU threads: 8; OS: Linux 4.19; UI render: default; VCL: qt5+cairo
Locale: de-DE (de_DE.UTF-8); UI: en-US
Calc: threaded
Comment 1 Jan-Marek Glogowski 2021-04-11 15:42:43 UTC
Created attachment 171100 [details]
Refresh bug of the start center with the default 640x480 cairo surface
Comment 2 Commit Notification 2021-04-11 19:13:51 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/91c883e75436210ca8af95df1ca597caeeda8703

tdf#141623 Qt5+cairo init surface with widget size

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2021-04-12 06:10:28 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/3f204ca2fed7614e1e12180af5ce5bfd88249eb7

tdf#141623 Qt5+cairo init surface with widget size

It will be available in 7.1.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2021-04-14 09:01:54 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/93b50c83b370a6621438ae532f897100b2bf0666

tdf#141623 Qt5+cairo init surface with widget size

It will be available in 7.0.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 DwayneMachuca 2021-05-23 08:26:08 UTC Comment hidden (spam)
Comment 6 Caroline Taylor 2021-11-26 08:21:21 UTC Comment hidden (spam)
Comment 7 Welma Mills 2021-12-21 12:36:39 UTC Comment hidden (spam)
Comment 8 margot 2022-04-22 02:41:54 UTC Comment hidden (spam)